People who code: we want your input. Take the Survey

Questions tagged [hplip]

HP Linux Imaging and Printing is a FOSS project that uses CUPS and SANE to provide full support for HP printers and scanners. This tag may be used to refer to any of the HPLIP utilities, including the HPLIP Toolbox used to access printer settings.

Filter by
Sorted by
Tagged with
0
votes
0answers
12 views

How can I get the hp-oolbox setting “hide when inactive” to stay enabled?

I use hp-toolbox (aka HP Device Manager) a lot to manage HP printers in several locations on my laptop. I use the current HPLip packages in Ubuntu 21.04. An annoying issue is that I am not able to set ...
2
votes
1answer
64 views

HPLIP cannot detect printer HP Laserjet 100 Colot MPF M175nw

New installation of Ubuntu 20.04.2 LTS Printer HP Laserjet 100 Colot MPF M175nw30 cannot be detected by hlip-3.21.4 Everithing seems to work properly but "Printer is not HPLIP installed" so ...
0
votes
0answers
187 views

Error installing HPLIP 3.21.2 on Ubuntu 20.04

In my new Ubuntu 20.04 desktop install, I tried to install HPLIP for my M28a MFP. I followed this topic: installation of hplip-3.21.2 on Ubuntu 20.04 hangs on dependency check, no progress, no errors ...
0
votes
0answers
91 views

error: SANE: Error during device I/O (code=9) HPLIP

I am trying to get my HP Officejet 8020 to scan on Kubuntu 20.04, but I keep getting the error: error: SANE: Error during device I/O (code=9) I've ran hp-check and everything seems fine, I've ...
0
votes
0answers
37 views

How to install HP Printer on Ubuntu 20.04 using hplip [duplicate]

Searching at Google I see several options to install my HP printer, including starting the HPLIP installation, but I understand that Ubuntu 20.04 already brings HPLIP installed, version 3.20 So I ...
0
votes
0answers
187 views

installation of hplip-3.21.2 on Ubuntu 20.04 hangs on dependency check, no progress, no errors

I set my dad up with Ubuntu 20.04 on his new laptop, and his old printer refused to cooperate, so he got a new one. I recommended Brother because they are super Linux-friendly in my experience, but he ...
0
votes
1answer
195 views

Scanning in Ubuntu 20.10 with HP OfficeJet Pro 8025 scanner [duplicate]

I can’t seem to get the HP OfficeJet Pro 8025 to scanning Linux regularly. The scanning seems to work only sporadically, even though the unit is detected in Ubuntu. I tried installing the HPLIP ...
0
votes
0answers
29 views

How can I install HP printer(LaserJet P1007 ) driver in my Ubuntu 20.04? [duplicate]

The PC is recognising my HP printer but I am still unable to print. I have tried both the methods (Method 1 and 2) mentioned in this site, but it is still not working. The terminal didn't complete ...
2
votes
1answer
184 views

Installing an HP Deskjet 3630 printer

I am trying to install a HP Deskjet 3630 printer, on Ubuntu 20.04 (64-bit, Gnome version 3.36.8). I downloaded and installed HPLIP version 3.20.3. The printer is connected by a USB cable (I cannot ...
0
votes
1answer
266 views

i can't install hplip plugin [duplicate]

when installing hplip plugin form the terminal i get this output : HP Linux Imaging and Printing System (ver. 3.20.11) Plugin Download and Install Utility ver. 2.1 Copyright (c) 2001-18 HP ...
0
votes
0answers
136 views

Ubuntu simple scan can't connect to scanner

I have a HP DeskJet 5000 all-in-one that used to work with Ubuntu 18.04. On 20.04 I can't get the scanner working. Running xsane through terminal gives: Failed to open device `hpaio:/usb/...
0
votes
0answers
37 views

I installed my printer, but I keep getting an error and it won't print :( HP DeskJet 4100 Error code 5012

I installed hplip and there were no problems. I installed the printer via USB and there were no problems. But when I try to print I get an error that there's no communication with the printer? I get &...
0
votes
1answer
122 views

Failed to read ppd file but printer is working well

I have an HP printer. It works well. But on running hp-check it shows warning: Failed to read /etc/cups/ppd/DeskJet-5820-series.ppd ppd file Do I have to worry about this? What do I do to fix it?
1
vote
1answer
262 views

HPLIP Installation on Ubuntu 18.04 can't find python dependencies

So I have been struggling to set up my HP scanner/printer for a while now. Trying to get hplip (as well as hplip-gui, hplip-setup, ...) through sudo apt-get install proved to be useless, cause it ...
0
votes
1answer
106 views

HP DeskJet 2778 All-in-One Ink Advantage Wireless Colour Printer not working

I bought HP DeskJet 2778 All-in-One Ink Advantage Wireless Colour Printer and unfortunately it is not working well with Lubuntu. I have installed HPLIP 3.20.X but the printer is not being recognised ...
9
votes
2answers
4k views

No system tray detected after latest update for some applications

Just after latest update of my Ubuntu 20.04 from Dec 21, 2020 I am getting HPLIP message: HPLIP Status service No system tray detected on this system. Unable to start, exiting. And also zoom meeting ...
0
votes
0answers
61 views

HP Deskjet All-in-One Ink Advantage Colour Printer Compatibility

My old printer was HP DeskJet 2135 All-in-One Ink Advantage Colour Printer which worked very well with several versions of Linux and HPLIP 3.16.3 Now I need to buy a new printer which I wish is of ...
1
vote
0answers
28 views

HPLIP software installation fails during 'make' command [duplicate]

Below is the last screen output up to the failure: Distro set to: Ubuntu 16.04 Initializing. Please wait... SECURITY PACKAGES ----------------- AppArmor is installed. AppArmor protects the ...
0
votes
0answers
43 views

HPLIP: AttributeError: module 'base.wifi' has no attribute 'getwifiotherdetails'

I have an HP photosmart C4780. I am running hplip 3.20.3 on Ubtuntu 20.04. When I run hp-wificonfig it exits with an error File "/usr/share/hplip/ui5/wifisetupdialog.py", line 754, in ...
0
votes
1answer
383 views

offset shadow/blurry text HP Photosmart C4780 with HPLIP

I am running Ubuntu 20.04 and HPLIP 3.20.3 I have an HP Photosmart C4780. I have genuine HP ink catridges. Black text prints blurry: there is a gray shadow of every character approximately 1mm below ...
1
vote
1answer
57 views

Scan with hplip for HP Envy 5055 printer only scans bottom 1.5 inches of scanned document

Running Ubuntu 18.04.4 Printer is HP Envy 5055. I installed hplip for printer control which works fine for printing. The HP printer manager has an option to scan in the Action menu. When I choose scan,...
0
votes
0answers
77 views

Ubuntu 20.10, hplip PyQt4 manual installation /usr/bin/ permission denied error

I was a bit ambitious in trying out a non-LTS distribution of Ubuntu, upgraded to 20.10 Groovy from 20.04 focal, and suddenly SANE has created a permanent 'SANE_DEVICE IS BUSY' loop, and hplip-3.20.9 (...
1
vote
0answers
1k views

HPLIP update doesn't finish - how to stop the installation safely?

I'm using Ubuntu 18.04 and a printer HP Color Laserjet pro mfp m281fdw. Printing works, but scanning does not. In order to fix the missing scanning function I thought I would update my HPLIP and ...
2
votes
1answer
205 views

How to install HPLIP 3.20.3 or above in Ubuntu 20.04

When trying to install HPLIP 3.20.5 or 3.20.9 it crashes due to dependency problem mainly because of pyqt5 and lot of other dependencies. If I tried to install those dependencies manually some of them ...
0
votes
1answer
179 views

HPLIP: “hp-setup -i” won't ask to setup plugin for HP LaserJet Pro MFP M428fdw

I'm trying to add a HP LaserJet Pro MFP M428fdw printer/scanner to a few Ubuntu 16.04 PCs, they all have HPLIP ver 3.20.0 which is higher than the compatible version for this printer model. When ...
0
votes
0answers
43 views

hp-setup - automate selection “download plugin” if asked

hp-setup -i -b usb --auto nicely works ans skips first question about whatever my printer is connected by usb (I always connect with usb). But it still asks me to manually answer ----------------------...
2
votes
1answer
826 views

Hp and Ubuntu 20.04

I have a HP 2540 printer that worked correctly in 18.04 but not in 20.04. I tried to install HPLIP from Hp (version 3.20.9) but got the next warnings and errors: warning: Missing REQUIRED dependency: ...
3
votes
4answers
2k views

Can't install HP plugin on Ubuntu 20.04

I am trying to connect to an HP M1217nfw MFP via Wi-Fi. The installation says I need an HP plugin for the printer. hp-doctor notes that a required dependency pyqt5 is missing. When I start hplip-3.20....
2
votes
0answers
120 views

HPLIP correctly installed but hp-setup will not run - asks me to install hplip

I am using Ubuntu 16.04. I have installed HPLIP from the Ubuntu repository using the command sudo apt install hplip hplip-gui as recommended in How to install HPLIP on my Ubuntu to support my HP ...
0
votes
1answer
97 views

What happened to pyqt5 when upgrading to 20.04.1

After I upgraded to Ubuntu 20.04.1 my HP Officejet 3830, connected via usb, stopped working. I downloaded hplip-3.20.9.run from the HP site. When I try to install, all is well until the program tries ...
0
votes
3answers
3k views

hplip not working on fresh Ubuntu 20.04 installation

I have just done a clean installation of Ubuntu 20.04.1 on a Lenovo Yoga 730. I have a wireless HP Photosmart C4780 which I have setup successfully setup on another Ubuntu 20.04 and Ubuntu 18.04 ...
0
votes
0answers
151 views

Scanning failure with HP DeskJet F2410 on Ubuntu 20.04

I connected an HP DeskJet F2410 All-in-one Printer/Scanner through USB to my laptop running Ubuntu 20.04. Running the Document Scanner 3.36.3 detected the scanner as HP DeskJet F2400 Series, however ...
1
vote
0answers
222 views

“Unable to create io-slave” error on Kubuntu 20.04

I am trying to attach a file in the "Send Fax" wizard of HP Device Manager (HPLIP 3.20.6). In the window called "Select Files to Send", I click on the "Add..." button, ...
5
votes
6answers
2k views

Getting HP DeskJet 3700 working with Xubuntu 20.04

After 2 hours of troubleshooting my printer still doesn't work. The funny thing is that I wanted to print 2 pages from a PDF and had no problem printing the 1st page, but after turning the paper and ...
0
votes
2answers
823 views

HPLIP won't install on 20.04 because of Python 3 (what to do?)

I'm trying to install the latest HPLIP following this guide. To summarize you perform the following: sudo apt-get purge hplip hplip-data hplip-doc hplip-gui hpijs-ppds libsane-hpaio printer-driver-...
0
votes
0answers
56 views

Ubuntu 20.04 Document scanner is not working with HP M1132MFP [duplicate]

When I start "Document scanner" the scanner prints: Ready to scan HP HP_LaserJet_Professional_M1132_MFP After I pressed the Scan button the scanner prints: Failed to scan Unable to ...
1
vote
0answers
41 views

Ubuntu 20.04 hplip needs pyqt4, which is not available anymore [duplicate]

I know this has been asked before, but the solutions did not work for me. I have an HP OfficeJet Pro 8625, which worked fine under 18.04. HPLIP does not install properly because of a dependency that ...
2
votes
1answer
319 views

Unable to install HPLIP Binary Plug-In

My printer is HP LaserJet Pro MFP m126nw. After setting up my printer in Ubuntu 20.04 (using HPLIP 3.20.3), when I tried to scan, it was mentioned that driver plug-in installation is required. When I ...
1
vote
1answer
321 views

hp-setup not working as intended

Firstly, I would like to inform that I'm a new user of Ubuntu and I'm not much familiar with the usual stuff in Ubuntu. I'm using Ubuntu 20.04 LTS. I'm trying to add my printer to my computer using ...
0
votes
0answers
95 views

HPLIP will not install on Ubuntu 20.04 - are there work arounds? [duplicate]

I'm trying to install HPLIP on ubuntu 20.04... here's where it fails: DEPENDENCY AND CONFLICT RESOLUTION ---------------------------------- Running 'sudo apt-get install --assume-yes gtk2-engines-...
0
votes
0answers
317 views

HPLIP does not launch on Kubuntu 20.04

I installed the official apt version with all available packages hplip hplip-doc hplip-data hplip-gui but it doesn't launch from GUI. From terminal, I get like this: hp-setup error: Unable to locate ...
3
votes
1answer
1k views

HP-Plugin fail , HPLIP

I use Ubuntu 16.04 LTS . HPLIP 3.16.3 comes with this . I have bought a new printer LaserJet Pro MFP M130nw which requires a minimum of HPLIP 3.16.11. I downloaded from the HP Developer website ...
0
votes
0answers
78 views

How to print in HP Laserjet P3015 without pause every 2 pdf pages with CUPS and HPLIP

i have a dual boot PC with UBUNTU 18 and windows 10, when i print PDF file in ubuntu every 2 pages make a pause, so never print 30ppm hp laserjet p3015, but when printinig in windows 10 dual boot, ...
0
votes
0answers
73 views

only partial print when I use gLabels or Libreoffce using two diferent Laser HP printers (I use Ubuntu 20.04)

My question is how can I workaround to have to print a complete page of labels, for some reason the printer print only the first label of many in a letter size page and also not the complete label at ...
11
votes
6answers
8k views

Some python packages could not be installed during hplip-3.20.5 installing on Ubuntu 20.04

After upgrade from 19.10 to 20.04 I've autoremoved a lot of deprecated packages. During hplip upgrade I've confirmed using maintainer's version of configuration files. But after Ubuntu restarting, hp ...
10
votes
3answers
3k views

HPLIP Driver install fails on Ubuntu 20.04

I recently upgraded a 18.04 release to 20.04 (early, I know), and wiped away my manually installed 'hplip' package (3.16.11) and installed the official package from the release (3.20.3+dgfsg0-2). All ...
2
votes
1answer
2k views

Printer installation Issue - hplip-3.20.5 Ubuntu 20.04 Failed to read PPD file

I recently installed Ubuntu 20.04 (fresh install) and installed hplip version 3.20.5 to connect my printer. Upon running hp-setup (gui) finds my printer and to click next but I run into an error below:...
3
votes
0answers
2k views

hplip-gui and Ubuntu 20.04

My first post here, I've asked elsewhere but no joy.. I wonder if anyone can help me with an issue I am having with my HP Envy 5020 printer. The printer can be connected either wirelessly or via USB ...
0
votes
1answer
159 views

Unable to install HPLIP for HP P1007 printer in Ubuntu 12.04

I am trying to install HPLIP in Ubuntu 20.04 release for HP P1007 Printer. but i am getting the following error when installing the HPLIP DEPENDENCY AND CONFLICT RESOLUTION ---------------------------...
10
votes
3answers
15k views

hplip requires pyqt4

I have upgraded my system from 19.10 to 20.04, everything is working correctly except I cannot load hp-systray or any other parts of the program. The problem I have is pyqt4 available in 20.04 I ...